Returns the WebSocket URL and connection details for real-time audio transcription. The returned URL can be used to establish a WebSocket connection for streaming audio data and receiving transcribed text in real-time.
Audio Requirements:
Pricing: 0.01perminute(0.60 per hour)
curl --request GET \
--url https://api.case.dev/voice/streaming/url \
--header 'Authorization: Bearer <token>'{
"url": "wss://casemark-ai--websocket-stream-helper-fastapi-app.modal.run/ws",
"connect_url": "wss://casemark-ai--websocket-stream-helper-fastapi-app.modal.run/ws?token=cm_1234567890abcdef",
"protocol": "websocket",
"audio_format": {
"sample_rate": 16000,
"encoding": "pcm_s16le",
"channels": 1
},
"pricing": {
"per_minute": 0.01,
"per_hour": 0.6,
"currency": "USD"
}
}API key starting with sk_case_
Was this page helpful?
curl --request GET \
--url https://api.case.dev/voice/streaming/url \
--header 'Authorization: Bearer <token>'{
"url": "wss://casemark-ai--websocket-stream-helper-fastapi-app.modal.run/ws",
"connect_url": "wss://casemark-ai--websocket-stream-helper-fastapi-app.modal.run/ws?token=cm_1234567890abcdef",
"protocol": "websocket",
"audio_format": {
"sample_rate": 16000,
"encoding": "pcm_s16le",
"channels": 1
},
"pricing": {
"per_minute": 0.01,
"per_hour": 0.6,
"currency": "USD"
}
}